/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#ifndef ___EXP_H___
#define ___EXP_H___

#define E_DIM	3

int equation(
	 double result[E_DIM],
	 double m[E_DIM][E_DIM],
	 double v[E_DIM]);
void print_matrix(double m[E_DIM][E_DIM]);
void print_vector(double v[E_DIM]);
int _equation_a(
	double m[E_DIM][E_DIM],
	double v[E_DIM],
	int ofs);
void test_equation();

#endif

